CO_RPDOMapPar_t Struct Reference
CANopen_301 » PDO

RPDO mapping parameter. More...

`#include <CO_PDO.h>`

## Data Fields

uint8_t | numberOfMappedObjects
| Actual number of mapped objects from 0 to 8. More...
uint32_t | mappedObject1
| Location and size of the mapped object. More...
uint32_t | mappedObject2
| Same.
uint32_t | mappedObject3
| Same.
uint32_t | mappedObject4
| Same.
uint32_t | mappedObject5
| Same.
uint32_t | mappedObject6
| Same.
uint32_t | mappedObject7
| Same.
uint32_t | mappedObject8
| Same.

## Detailed Description

RPDO mapping parameter.

The same as record from Object dictionary (index 0x1600+).

## Field Documentation

## numberOfMappedObjects

uint8_t CO_RPDOMapPar_t::numberOfMappedObjects

Actual number of mapped objects from 0 to 8.

To change mapped object, this value must be 0.

## mappedObject1

uint32_t CO_RPDOMapPar_t::mappedObject1

Location and size of the mapped object.

Bit meanings `0xIIIISSLL`:

- Bit 0-7: Data Length in bits.
- Bit 8-15: Subindex from object distionary.
- Bit 16-31: Index from object distionary.

The documentation for this struct was generated from the following file:

- 301/CO_PDO.h